Browse Source

Dropping lower constraints testing

We facing errors related to the new pip resolver, this
topic was discussed on the ML and QA team proposed to
to test lower-constraints [1].

I propose to drop this test because the complexity and recurring pain
needed to maintain that now exceeds the benefits provided by this
mechanisms.

Also removing lower constraints and related tox environment as they are
no longer needed.

[1] http://lists.openstack.org/pipermail/openstack-discuss/2020-December/019390.html

Conflicts:
  lower-constraints.txt

NOTE(stephenfin): Conflicts are due to different constraints in
lower-constraints.

Change-Id: Icf48ef72fbfff88dda2714b386dbbfe355dc1acb
(cherry picked from commit 686a8b6182)
(cherry picked from commit 1682ef69ae)
(cherry picked from commit 7e151b15b9)
(cherry picked from commit a430ad873f)
changes/42/786442/1
Hervé Beraud 6 months ago
committed by Stephen Finucane
parent
commit
0c47ed4e1b
3 changed files with 0 additions and 102 deletions
  1. +0
    -1
      .zuul.yaml
  2. +0
    -94
      lower-constraints.txt
  3. +0
    -7
      tox.ini

+ 0
- 1
.zuul.yaml View File

@ -220,7 +220,6 @@
- lib-forward-testing
- lib-forward-testing-python3
- openstack-cover-jobs
- openstack-lower-constraints-jobs
- openstack-python-jobs
- openstack-python36-jobs
- openstack-python37-jobs


+ 0
- 94
lower-constraints.txt View File

@ -1,94 +0,0 @@
alabaster==0.7.10
amqp==2.4.1
appdirs==1.3.0
Babel==2.3.4
bandit==1.1.0
cachetools==2.0.0
cffi==1.7.0
cliff==2.8.0
cmd2==0.8.0
confluent-kafka==0.11.6
contextlib2==0.4.0
coverage==4.0
debtcollector==1.2.0
docutils==0.11
dulwich==0.15.0
eventlet==0.18.2
extras==1.0.0
fasteners==0.7.0
fixtures==3.0.0
flake8==2.5.5
futures==3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist==1.2.0
gitdb==0.6.4
GitPython==1.0.1
greenlet==0.4.10
hacking==0.12.0
imagesize==0.7.1
iso8601==0.1.11
Jinja2==2.10
keystoneauth1==3.4.0
kombu==4.0.0
linecache2==1.0.0
MarkupSafe==1.0
mccabe==0.2.1
mock==2.0.0
monotonic==0.6
mox3==0.20.0
msgpack-python==0.4.0
netaddr==0.7.18
netifaces==0.10.4
openstackdocstheme==1.18.1
os-client-config==1.28.0
oslo.concurrency==3.25.0
oslo.config==5.2.0
oslo.context==2.19.2
oslo.i18n==3.15.3
oslo.log==3.36.0
oslo.middleware==3.31.0
oslo.serialization==2.18.0
oslo.service==1.24.0
oslo.utils==3.33.0
oslotest==3.2.0
Paste==2.0.2
PasteDeploy==1.5.0
pbr==2.0.0
pep8==1.5.7
pifpaf==0.10.0
prettytable==0.7.2
pycparser==2.18
pyflakes==0.8.1
Pygments==2.2.0
pyinotify==0.9.6
pyngus==2.2.0
pyparsing==2.1.0
pyperclip==1.5.27
python-dateutil==2.5.3
python-mimeparse==1.6.0
python-qpid-proton==0.17.0
python-subunit==1.0.0
pytz==2013.6
PyYAML==3.12
reno==2.5.0
repoze.lru==0.7
requests==2.14.2
requestsexceptions==1.2.0
rfc3986==0.3.1
Routes==2.3.1
six==1.10.0
smmap==0.9.0
snowballstemmer==1.2.1
Sphinx==1.6.2
sphinxcontrib-websupport==1.0.1
statsd==3.2.1
stestr==2.0.0
stevedore==1.20.0
tenacity==4.4.0
testscenarios==0.4
testtools==2.2.0
traceback2==1.4.0
unittest2==1.1.0
vine==1.1.4
WebOb==1.7.1
wrapt==1.7.0
xattr==0.9.2

+ 0
- 7
tox.ini View File

@ -121,10 +121,3 @@ deps = -r{toxinidir}/doc/requirements.txt
basepython = python3
deps = bindep
commands = bindep {posargs}
[testenv:lower-constraints]
basepython = python3
deps =
-c{toxinidir}/lower-constraints.txt
-r{toxinidir}/test-requirements.txt
-r{toxinidir}/requirements.txt

Loading…
Cancel
Save